/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class WQInfoObjectImpl implements WQInfoObject {

    protected String name;

    protected String type;

    protected Double value;


    public WQInfoObjectImpl() {
    }


    public WQInfoObjectImpl(
        String name,
        String type,
        Double value)
    {
        this.name  = name;
        this.type  = type;
        this.value = value;
    }


    public String getName() {
        return name;
    }


    public String getType() {
        return type;
    }


    public Double getValue() {
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
